ServerEvents.recipes(e=> {
 
//风车
e.remove({ output: 'immersiveengineering:windmill' })
e.shaped('2x immersiveengineering:windmill',[
 'UEU', 
 'ECE', 
 'UEU'
], {
  U: '#forge:fences/steel',
  E: 'immersiveengineering:windmill_blade',
  C: 'nwtc:gelatum'
})
//接线器
e.remove({ output: 'immersiveengineering:connector_lv' })
e.shapeless('immersiveengineering:connector_lv', 
    [ 
      'create_new_age:electrical_connector',
    ])
//钢棒
e.remove({output: '#forge:rods/steel',type: 'minecraft:crafting_shaped'})
//红石酸桶
e.remove({output: 'immersiveengineering:redstone_acid_bucket'})
//中压蓄电池
e.remove({ output: 'immersiveengineering:capacitor_mv' })
e.shaped('immersiveengineering:capacitor_mv',[
 'UEU', 
 'ECE', 
 'UEU'
], {
  U: '#forge:plates/steel',
  E: 'solarcraft:energy_core',
  C: 'immersiveengineering:capacitor_lv'
})
//高压蓄电池
e.remove({ output: 'immersiveengineering:capacitor_hv' })
e.shaped('immersiveengineering:capacitor_hv',[
 'UEU', 
 'ECE', 
 'UEU'
], {
  U: '#forge:plates/steel',
  E: 'create_new_age:overcharged_diamond',
  C: 'immersiveengineering:capacitor_mv'
})
//园艺玻璃
e.remove({ output: 'immersiveengineering:cloche' })
e.shaped('immersiveengineering:cloche',[
 'UEU', 
 'UCU', 
 'UDU'
], {
  U: '#forge:glass',
  E: '#immersiveengineering:circuits/logic',
  D: 'immersiveengineering:component_steel',
  C: '#forge:energy_cell_1'
})
//人造皮革
e.remove({ output: 'immersiveengineering:ersatz_leather'})
e.shapeless('immersiveengineering:ersatz_leather', 
  [ 
    '8x immersiveengineering:hemp_fabric',
  ])

//红石工程块
e.remove({ output: 'immersiveengineering:rs_engineering'})
e.shapeless('4x immersiveengineering:rs_engineering', 
  [ 
    'minecraft:redstone_block',
    'create_new_age:overcharged_golden_sheet',
    'create_new_age:overcharged_diamond',
    'immersiveengineering:sheetmetal_steel'
  ])
//柴油 汽油

e.custom(
  {"type":"immersiveengineering:refinery",
  "catalyst":{"tag":"forge:dusts/redstone"},
  "energy":280,
  "input0":{"amount":20,"tag":"forge:crude_oil"},
  "result":{
  "amount":20,
  "fluid":"createdieselgenerators:diesel"
}
}
)
e.custom(
  {"type":"immersiveengineering:refinery",
  "catalyst":{"tag":"forge:dusts/coal"},
  "energy":280,
  "input0":{"amount":20,"tag":"forge:crude_oil"},
  "result":{
  "amount":20,
  "fluid":"createdieselgenerators:gasoline"
}
}
)
e.custom(
  {"type":"immersiveengineering:refinery",
  "catalyst":{"tag":"forge:dusts/coal"},
  "energy":280,
  "input0":{"amount":20,"tag":"forge:fuel_oil"},
  "input1":{"amount":20,"tag":"forge:ethanol"},
  "result":{
  "amount":20,
  "fluid":"immersiveengineering:creosote"
}
}
)

 
})
